Bug 3192 - grid-mapfile-delete-entry with dryrun option deletes LN
: grid-mapfile-delete-entry with dryrun option deletes LN
Status: RESOLVED FIXED
: GSI C
Credentials and Proxies
: 3.9.5
: PC Linux
: P3 normal
: 4.0.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-04-19 01:08 by
Modified: 2008-08-11 14:56 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-04-19 01:08:25
grid-mapfile entry is as shown below.

"/O=Grid/OU=GlobusTest/OU=simpleCA-gargya2.boeblingen.de.ibm.com/CN=gridusr1"
gridusr1,gridusr2,gridusr3

When i execute the command
./sbin/grid-mapfile-delete-entry -ln gridusr2 -dryrun
Searching for entries containing any of the Local Name(s)
gridusr2
Current entry:
"/O=Grid/OU=GlobusTest/OU=simpleCA-gargya2.boeblingen.de.ibm.com/CN=gridusr1"
gridusr1,gridusr2,gridusr3
(1) mapping removed: (gridusr2), (0) not present and ignored
(0) entries deleted

and the mapping is deleted, which is not the expected behaviour.
dryrun should not delete the entry.

-dryrun, -d             Shows what would be done but will not
                        delete the entry

cat grid-mapfile (after executing the above command)

"/O=Grid/OU=GlobusTest/OU=simpleCA-gargya2.boeblingen.de.ibm.com/CN=gridusr1"
gridusr1,gridusr3
------- Comment #1 From 2005-05-03 08:39:23 -------
Fix committed to cvs